﻿@model IEnumerable<I3Teck.AndonAlarm.Data.Models.AndonAlertReason>
@{
    ViewData["Title"] = "AndonReasonAlert";
}

@section Style{
    <link rel="stylesheet" type="text/css" href="~/assets/css/datatables.min.css" />
}
<div class="m-grid__item m-grid__item--fluid m-grid m-grid--ver-desktop m-grid--desktop m-body" style="background: transparent !important">
    <div class="m-grid__item m-grid__item--fluid m-wrapper">
        <div class="col-md-12" style="padding-right: 25% !important; padding-left: 25% !important;">
            <div class="m-portlet m-portlet--creative_tegra  m-portlet--first m-portlet--bordered-semi">
                <div class="m-portlet__head">
                    <div class="m-portlet__head-caption">
                        <div class="m-portlet__head-title">
                            <h3 class="m-portlet__head-text"></h3>
                            <h2 class="m-portlet__head-label m-portlet__head-label--danger">
                                <span>Reason Alerts</span>
                            </h2>
                        </div>
                    </div>
                </div>
                <div class="m-portlet__body" style="width: 100%;">
                    <div class="row">
                        <div class="col-6">
                        </div>
                        <div style="margin-bottom: 1vw" class="col-6 text-right">
                            <a class="btn btn-tegra m-btn m-btn--custom m-btn--air" asp-action="Create">
                                New Reason Alert
                            </a>
                        </div>
                    </div>
                    <table class="table m-table m-table--head-separator-tegra display compact " id="table">
                        <thead>
                            <tr>
                                <th>
                                    @Html.DisplayNameFor(model => model.Code)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.Name)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.Description)
                                </th>
                                <th>
                                    Actions
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                                <tr>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.Code)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.Name)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.Description)
                                    </td>

                                    <td class="text-center">
                                        <div class="btn-group btn-group-sm btn-group-solid" role="group" aria-label="First group">
                                            <button type="button" class="m-btn btn btn-dark" onclick="window.location.href='AndonReasonAlert/Edit/'+ @item.Id" title="Edit">
                                                <i class="fa fa-edit"></i>
                                            </button>
                                            <button type="button" class="cancel m-btn btn btn-tegra" data-link="@item.Id" title="Remove Reason Alert">
                                                <i class="fa fa-trash"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts{
    <script type="text/javascript" src="~/assets/scripts/datatables.min.js"></script>

    <script>
        $(document).ready(function() {
            $(".cancel").click(function(e) {
                e.preventDefault();
                var id = Number(this.getAttribute("data-link"));
                swal({
                    title: 'Are you sure you want to delete this reason alert?',
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonText: 'Yes',
                    cancelButtonText: 'No',
                }).then((result) => {
                    if (result.value) {
                        $.ajax({
                       
                            url: "/AndonReasonAlert/DeleteReason",
                            data: {
                                id: id
                            },
                            success: function() {
                                window.location.reload();
                            }
                        });
                    }
                });
            });
            $('#table').dataTable({
                "bLengthChange": false
            });
        });
    </script>
}